Skip to main content

Get Speed Data

Description

Retrieve source data related to vehicle speed.

Endpoint

GET https://api.pleos.ai/v1/vehicles/{vin}/speed

Request

curl
curl -X GET "https://api.pleos.ai/v1/vehicles/{vin}/speed?startDate=20250825&endDate=20250901&zoneId=UTC" \
-H "Authorization: Bearer <your_access_token>" \
-H "Brand: hyundai"

Header Params

ParameterTypeDescriptionRequired
AuthorizationstringAccess tokenRequired
BrandstringVehicle brand (hyundai/kia/genesis)Required

Path Params

ParameterTypeDescriptionRequired
vinstringVINRequired

Query Params

ParameterTypeDescriptionRequiredDefault
startDatestringyyyyMMddRequiredNone
endDatestringyyyyMMdd (Can only retrieve up to 7 days from the start date)RequiredNone
zoneIdstringTimezone IdOptionalUTC

Response

Success

200
{
"data": {
"trips": [
{
"triggerStartTime": "2025-09-01T10:00:00.000Z",
"tripLength": 10000,
"location": {
"speed": [0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
"speedUnit": [
"kph",
"kph",
"kph",
"kph",
"kph",
"kph",
"kph",
"kph",
"kph",
"kph"
]
},
"wheel": {
"speedFrontLeft": [0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
"speedFrontRight": [0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
"speedRearLeft": [0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
"speedRearRight": [0, 0, 0, 0, 0, 0, 0, 0, 0, 0]
}
}
]
},
"meta": {
"code": 200,
"message": "Success",
"success": "true",
"timestamp": "2025-09-01T11:00:00Z",
"requestId": "835bdbd4-1105-4a8c-b438-a1b2c3d4f5g6"
}
}
data fieldTypeDescription
tripsarray of objectTrip data
└──── triggerStartTimestringEngine start time yyyy-MM-dd'T'HH:mm:ss.SSS'Z'
└──── tripLengthlongDriving trip length (unit: ms)
└──── locationobjectLocation information
└──────── speedarray of numberVehicle speed as shown on the dashboard (0~254: valid, 255: invalid)
└──────── speedUnitarray of stringUnit of vehicle speed shown on the dashboard (kph, mph)
└──── wheelobjectWheel information
└──────── speedFrontLeftarray of numberWheel speed of front left wheel (unit: kph, range: 0~511.9375)
└──────── speedFrontRightarray of numberWheel speed of front right wheel (unit: kph, range: 0~511.9375)
└──────── speedRearLeftarray of numberWheel speed of rear left wheel (unit: kph, range: 0~511.9375)
└──────── speedRearRightarray of numberWheel speed of rear right wheel (unit: kph, range: 0~511.9375)

Failure

4002
{
"error": {
"code": "4002",
"message": "Invalid request parameters",
"details": [],
"timestamp": "2025-09-01T12:00:00Z",
"requestId": "835bdbd4-1105-4a8c-b438-a1b2c3d4f5g6"
}
}
[Error Code]

For detailed descriptions of error code on failure, refer to Error Code.